Download it now!
Bug 76586 - FILEOPEN 2007 DOCX Column width of table within table not imported properly (OK if resaved in MSO)
Summary: FILEOPEN 2007 DOCX Column width of table within table not imported properly (...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0 target:6.5.0 target:6.4.0.1
Keywords: filter:docx
Depends on:
Blocks: DOCX-Tables
  Show dependency treegraph
 
Reported: 2014-03-25 10:13 UTC by Vinaya Mandke
Modified: 2019-11-27 11:07 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
The column width not imported correctly (17.12 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-03-25 10:14 UTC, Vinaya Mandke
Details
difference page 3 (444.97 KB, image/png)
2014-04-05 21:56 UTC, Jorendc
Details
docx file with a table not correctly displaied (66.23 KB, application/zip)
2017-03-27 06:24 UTC, Alberto
Details
original file from MSO (69.51 KB, application/zip)
2017-09-04 10:05 UTC, Alberto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vinaya Mandke 2014-03-25 10:13:34 UTC

    
Comment 1 Vinaya Mandke 2014-03-25 10:14:26 UTC
Created attachment 96351 [details]
The column width not imported correctly
Comment 2 Vinaya Mandke 2014-03-25 10:14:44 UTC
1. Open file in MS Word
Comment 3 Vinaya Mandke 2014-03-25 10:15:52 UTC
2. Open file in LO
Check that the column separators are not imported correctly.
Comment 4 Jorendc 2014-03-25 18:25:28 UTC
I can confirm that behavior, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: aeab0183e86fe011d32058864c02b2de4da32dc9
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-03-24_05:49:57

Kind regards,
Joren
Comment 5 Commit Notification 2014-04-02 07:27:00 UTC
Vinaya Mandke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=54d913aa74962781e31290d9bb7e2d95212d994c

fdo#76586 Table column separators from individual cell widths



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Jorendc 2014-04-05 21:56:04 UTC
Hi Vinaya,

Thanks for working on this issue :-)!

Am I right the column widths of table on page 3 is still imported incorrectly? Page 1 looks fine to me though.

Kind regards,
Joren
Comment 7 Jorendc 2014-04-05 21:56:45 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2015-06-08 14:42:44 UTC Comment hidden (obsolete)
Comment 9 Buovjaga 2015-08-02 10:32:32 UTC
(In reply to Jorendc from comment #7)
> Created attachment 96960 [details]
> difference page 3

Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 902255645328efde34ddf62227c8278e8dd61ff0
TinderBox: Win-x86@39, Branch:master, Time: 2015-07-30_03:52:07
Locale: en-US (fi_FI)
Comment 10 Xisco Faulí 2016-08-11 16:08:32 UTC
This issue is still reproducible with

Version: 5.2.0.4
Build ID: 066b007f5ebcc236395c7d282ba488bca6720265
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: es-ES (es_ES)
Comment 11 Alberto 2017-03-27 06:24:08 UTC Comment hidden (obsolete)
Comment 12 Telesto 2017-05-30 18:29:36 UTC
Still reproducible with
Version: 5.5.0.0.alpha0+
Build ID: ec79f3453471ee9b6ae32e71ff16ea99d9b7751c
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-05-28_23:21:44
Locale: nl-NL (nl_NL); Calc: CL
Comment 13 Alberto 2017-09-04 10:05:58 UTC Comment hidden (obsolete)
Comment 14 QA Administrators 2018-09-05 02:55:07 UTC Comment hidden (obsolete)
Comment 15 Timur 2019-06-06 14:38:46 UTC
Repro LO 6.4+ for MSO 2007 attachment 96351 [details] that has table within table on page 3, but not if resaved in MSO as DOCX. 
I hide Comment 11 and Comment 13 with likely different issue.
Comment 16 Commit Notification 2019-11-27 06:53:14 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/001e11c8f4a52a2eb308562bdee8516efb77b96b

tdf#76586 fix table width of auto-width nested tables

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Xisco Faulí 2019-11-27 11:04:14 UTC
Problem on page 3 verified in

Version: 6.5.0.0.alpha0+
Build ID: 3a6f270edfffb97763927b2732feacedbdac1e80
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@László Németh, thanks for fixing this issue!
Comment 18 Commit Notification 2019-11-27 11:07:04 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/835f0e940a600cfac0ac41efb8a4e6015a122dd7

tdf#76586 fix table width of auto-width nested tables

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.